php7.4帝国CMS报错Deprecated: Function get_magic_quotes_gpc

maolai 网站建设php7.4帝国CMS报错Deprecated: Function get_magic_quotes_gpc已关闭评论175阅读模式

把网站服务器运行环境php5.6切换成php7.4版本后,帝国cms出现Deprecated: Function get_magic_quotes_gpc() is deprecated in D:\phpstudy_pro\WWW\www.bokequ.com\e\class\connect.php on line 6报错提示。后台无法登录。

1、出现这种提示主要是php版本过高不兼容导致的,只需修改网站根目录下的数据库配置文件/e/config/config.php下的$ecms_config['db']['usedb']='mysql'; //数据库类型

如下图箭头所示把mysql改成mysqli 保存一下就可以了。

2、php.ini配置问题,按下面修改即可解决:(记得改完重启环境)

修改php.ini,把error_reporting = E_ALL改成

error_reporting = E_ALL & ~E_NOTICE

3、如果你的服务器环境是php7.4版本的,在安装帝国cms时,“MYSQL接口类型”选择“mysqli”即可支持PHP7系列,解决报错问题。

以上就是php7.4帝国CMS报错Deprecated: Function get_magic_quotes_gpc()的解决方法

 
maolai
  • 本文由 maolai 发表于 2018年3月12日 18:46:09
  • 转载请务必保留本文链接:http://www.bokequ.com/398.html